Bug 133341 - No device nodes generated for USB palm devices
No device nodes generated for USB palm devices
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: 133127
  Show dependency treegraph
 
Reported: 2004-09-23 06:40 EDT by Nigel Metheringham
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:54:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nigel Metheringham 2004-09-23 06:40:28 EDT
Description of problem:
gnome-pilot et al fail due to there being no device nodes for the palm
devices

Version-Release number of selected component (if applicable):
udev-032-1


Additional info:
I am using a Palm Tungsten C device connected via USB.  The hack I put
in to support it was to add the following line to
/etc/udev/rules.d/10_local.rules :-
 KERNEL="ttyUSB1", SYSFS{product}="Palm Handheld", NAME="%k",
SYMLINK="pilot"

This particular palm uses the ttyUSB1 (ttyUSB0 is also active, but not
used for data transfer).  Other palm models do things differently. 
There is almost certainly a better solution than the one I am
suggesting :-/
Comment 1 Harald Hoyer 2004-09-23 07:09:13 EDT
gnome-pilot should use libusb or hal
Comment 2 Dave Malcolm 2004-11-02 17:52:21 EST
Adding to a general HAL/gnome-pilot integration tracker bug
Comment 3 Matthew Miller 2006-07-10 17:30:54 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-10-30 09:54:05 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.